Skip to main content
`Ctrl`+`K`

# DMCompositeAddDM

adds a `DM` vector to a `DMCOMPOSITE`

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeAddDM(DM dmc, DM dm)

Collective

## Input Parameters

- dmc - the `DMCOMPOSITE` object

- dm - the `DM` object

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeGather()`, `DMCreateGlobalVector()`, `DMCompositeScatter()`, `DMCompositeCreate()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()`, `DMCompositeGetLocalVectors()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetEntries()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex21.c
src/snes/tutorials/ex28.c
src/snes/tutorials/ex22.c
src/snes/tutorials/ex73f90t.F90
src/ts/tutorials/ex14.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages